package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type DocumentOnlinecompareresultRequest struct {
	// <ext>core:true;format:string</ext> 【文件比对结果查询id】文件比对结果查询id
	CompareId string `json:"compareId,omitempty"`
}

func (obj DocumentOnlinecompareresultRequest) GetUrl() string {
	return "/document/onlineCompareResult"
}

func (obj DocumentOnlinecompareresultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("compareId", obj.CompareId)
	return parameter
}
